require "Apollo"
require "Window"
 
-----------------------------------------------------------------------------------------------
-- SprintMeterFix Module Definition
-----------------------------------------------------------------------------------------------
local SprintMeterFix = {} 
local OnSprintMeterDocumentReady = nil
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function SprintMeterFix:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function SprintMeterFix:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		 "SprintMeter",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- SprintMeterFix OnLoad
-----------------------------------------------------------------------------------------------
function SprintMeterFix:OnLoad()

	SprintMeter = Apollo.GetAddon("SprintMeter")
	OnSprintMeterDocumentReady = SprintMeter.OnDocumentReady
	SprintMeter.OnDocumentReady = OnSprintMeterFixDocumentReady
end


function OnSprintMeterFixDocumentReady(self)
	OnSprintMeterDocumentReady(self)
	SprintMeter.wndMain:FindChild("ProgBar"):SetStyle("IgnoreMouse", true)
end
-----------------------------------------------------------------------------------------------
-- SprintMeterFix Instance
-----------------------------------------------------------------------------------------------
local SprintMeterFixInst = SprintMeterFix:new()
SprintMeterFixInst:Init()
